import DISNET.objects.DisnetObject as DisnetObject

class ProteinObject(DisnetObject.DisnetObject):
    """Class to instance objects of type Protein"""
    def __init__(self, id:str):
        DisnetObject.DisnetObject.__init__(self, id)

    def info(self):
        """Returns the information of the Protein as a string"""
        return "ProteinObject: [id: " + self.getId() + "]"

    def __eq__(self, other)->bool:
        """Equals to other Protein"""
        if isinstance(other, ProteinObject):
            return self.getId() == other.getId()
        else:
            return False
